#!/usr/bin/env python

import sys
from neuron import h, gui
from matplotlib import pyplot
import numpy
import os
import MCMClass_c as Mcm


aisSeg = int(sys.argv[1])
aisLoc = float(sys.argv[2])
desMfr = int(sys.argv[3])

synapse = False

desStd = 5


# Creating the model
cell = Mcm.createModel(synapse, aisSeg, aisLoc)

# Running the std/mfr protocol
Erest, Rin, stdVal, offset = Mcm.runStdMfrProtocol(cell, aisSeg, aisLoc, desStd, desMfr)
